4Suite™ API Documentation

# ► Module Ft.Server.FtRpc.Marshal

RPC server protocol implementation
Code to marshal and unmarshal our little protocol's messages.
A message consists of:
4 bytes for command/response code
10 bytes for data length
n bytes for data where n=length (cPickle)
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Functions: Connect, Marshal, Receive, Send

## Functions

Connect(userName, passwd, host, port)
Connect to an FtRpc Server
Marshal(cmd, data)
Turn a command and its data into a list of strings to be sent
Receive(s)
Read in a response (or a command)
Send(s, cmd, data)
Send a command (or a response)